package mmail

type MailBuilder interface {
	SetAccountID(accountID string) MailBuilder
	SetTemplateID(templateID string) MailBuilder
	SetLocale(locale string) MailBuilder
	AddRecipient(recipientName, recipient string) MailBuilder
	AddButton(link string) MailBuilder
	AddData(key, value string) MailBuilder
	Build() (Message, error)
}
